Subject: Re: bug#53001: 29.0.50; xwidget-webkit: no mouseover text on pgtk

From: Akira Kyle <[email-masked]>
Date: Tue, 4 Jan 2022 12:38:19 -0700

On Tue, Jan 4, 2022 at 12:22 AM Po Lu <[email-masked]> wrote:
>
> > This issue is only on emacs --with-pgt. The mousover text works
> > correctly in emacs --with-x-toolkit=gtk3 under xwayland.
>
> Yes, but are you running it under Wayland, or is it running under X?
>
> The PGTK port can run under both Wayland and X through GDK, and
> different GDK backends behave very differently when it comes to
> displaying tooltips from widgets inside offscreen windows.
>
> IOW, what is the value of (pgtk-backend-display-class)?
>

Oh right, sorry for the confusion. It's when running under wayland so
the value of (pgtk-backend-display-class) is "GdkWaylandDisplay"